Autor Tópico: Problema na configuração do java  (Lida 7483 vezes)

Offline ale.leleco

  • Usuário Ubuntu
  • *
  • Mensagens: 24
    • Ver perfil
Problema na configuração do java
« Online: 28 de MAR?O de 2011, 23:13 »
Bom galera acho que é posso dizer que estou com problema na configuração do java no firefox, mais especificamente no jre que roda os aplets
Bom estou com
Ubuntu 10.10
firefox 3.6.16
java jre 6.24
fiz o seguinte baixei do site da sum o jre: jre-6u24-linux-i586.bin
extrai ele dentro de /usr/lib/jvm criando a pasta jre1.6.0_24
para fazer isso fiz o seguinte
sudo chmod +x jre-6u24-linux-i586.bin - dando permissão para executar e depois
sudo ./jre-6u24-linux-i586.bin

depois de extrair tudo criei o link dentro da pasta do firefox que está em:
/usr/lib/mozilla/plugins/
com o comando: sudo ls -s /usr/lib/jvm/jre1.6.0_24/plugin/i386/ns7/libjavaplugin_oji.so libjavaplugin_oji.so
assim criei o link com o nome libjavaplugin_oji.so

bom foi tudo isso que eu fiz, porem não roda aplets do java, no site da sum mostra que o java está tudo ok com o java, porem quando entro em sites com aplets ou que rodam programas em java não rodam direito, preciso disso com urgencia pois no serviço para autenticar na rede abre uma janela com um aplet java...
Muito obrigado quem puder me ajudar... valew, galera...
Alessandro
Ale.leleco@gmail.com
@_aleleleco

Offline linuser104

  • Usuário Ubuntu
  • *
  • Mensagens: 838
    • Ver perfil
Re: Problema na configuração do java
« Resposta #1 Online: 29 de MAR?O de 2011, 09:05 »
Bom galera acho que é posso dizer que estou com problema na configuração do java no firefox, mais especificamente no jre que roda os aplets
Bom estou com
Ubuntu 10.10
firefox 3.6.16
java jre 6.24
fiz o seguinte baixei do site da sum o jre: jre-6u24-linux-i586.bin
extrai ele dentro de /usr/lib/jvm criando a pasta jre1.6.0_24
para fazer isso fiz o seguinte
sudo chmod +x jre-6u24-linux-i586.bin - dando permissão para executar e depois
sudo ./jre-6u24-linux-i586.bin

depois de extrair tudo criei o link dentro da pasta do firefox que está em:
/usr/lib/mozilla/plugins/
com o comando: sudo ls -s /usr/lib/jvm/jre1.6.0_24/plugin/i386/ns7/libjavaplugin_oji.so libjavaplugin_oji.so
assim criei o link com o nome libjavaplugin_oji.so

bom foi tudo isso que eu fiz, porem não roda aplets do java, no site da sum mostra que o java está tudo ok com o java, porem quando entro em sites com aplets ou que rodam programas em java não rodam direito, preciso disso com urgencia pois no serviço para autenticar na rede abre uma janela com um aplet java...
Muito obrigado quem puder me ajudar... valew, galera...

O jeito mais fácil de instalar o java da Sun (update 24) é pelos repositórios do Ubuntu 32bits, então faça assim abra o Synaptic indo em Sistema > Administração > Gerenciador de pacotes Synaptic na janela que se abrir vá ao menu Configuração > Repositórios e na próxima janela que abrir vá a aba Outro Software e habilite as duas opções que falam em parceiros ou partner em inglês (acho que são as duas primeiras que estão desmarcadas). De volta a tela principal do Synaptic clique no botão Recarregar. Feito isso, feche o Synaptic e abra o terminal e digite o seguinte comando:

sudo apt-get -y install sun-java6-bin sun-java6-fonts sun-java6-jre sun-java6-plugin


quando perguntado, aceite a licença de uso. Pronto, seu java estará instalado.

para verificar digite:

java -version

deve dar algo assim:

Citar
java version "1.6.0_24"
Java(TM) SE Runtime Environment (build 1.6.0_24-b07)
Java HotSpot(TM) Server VM (build 19.1-b02, mixed mode)
« Última modificação: 29 de MAR?O de 2011, 09:18 por linuser104 »
Linux = Quem realmente gosta de computador; Mac = Artista Digital; Windows = A maioria que votou no Tiririca [pior que tá não fica].

Offline zekkerj

  • Usuário Ubuntu
  • *
  • Mensagens: 19.735
  • Gratidão gera gratidão, lamúria atrai lamúria...
    • Ver perfil
    • Blog do Zekke
Re: Problema na configuração do java
« Resposta #2 Online: 29 de MAR?O de 2011, 10:29 »
Citar
O jeito mais fácil de instalar o java da Sun (update 24) é pelos repositórios do Ubuntu 32bits
Só pra complementar, os repositórios também têm pacotes pra Ubuntu 64 bits. Recomendo fortemente seu uso.
Eu os uso em minhas máquinas, e até os programas do Imposto de Renda funcionam na boa.

O passo-a-passo do linuser104 tem tudo que vc precisa fazer.
Pesquise antes de perguntar, sua dúvida pode já ter sido respondida.
Não respondo dúvidas por MP, coloque sua dúvida no fórum onde ela pode ser pesquisada pelos seus colegas!
Não venha ao fórum apenas para perguntar. Se você sabe a resposta de um problema, porque não ajudar seu colega? ;D

Offline linuser104

  • Usuário Ubuntu
  • *
  • Mensagens: 838
    • Ver perfil
Re: Problema na configuração do java
« Resposta #3 Online: 29 de MAR?O de 2011, 10:42 »
Citar
O jeito mais fácil de instalar o java da Sun (update 24) é pelos repositórios do Ubuntu 32bits
Só pra complementar, os repositórios também têm pacotes pra Ubuntu 64 bits. Recomendo fortemente seu uso.
Eu os uso em minhas máquinas, e até os programas do Imposto de Renda funcionam na boa.

O passo-a-passo do linuser104 tem tudo que vc precisa fazer.

Quer dizer que agora esses mesmos pacotes (java da Sun e não openjdk) existem para a versão 64bits do Ubuntu pelo repositório partner?

É que já tinha tentado esta dica com um amigo que possuía a versão 64bits e ele alegava que ao digitar o comando era informado a ausência de determinados pacotes, então como só uso a versão 32bits, só indico essa dica para esta versão, mas é bom saber assim na próxima versão final do Ubuntu eu mudo para 64bits já que até hoje só venho usando 32bits por conta do flash, java e outros programas.
Linux = Quem realmente gosta de computador; Mac = Artista Digital; Windows = A maioria que votou no Tiririca [pior que tá não fica].

Offline zekkerj

  • Usuário Ubuntu
  • *
  • Mensagens: 19.735
  • Gratidão gera gratidão, lamúria atrai lamúria...
    • Ver perfil
    • Blog do Zekke
Re: Problema na configuração do java
« Resposta #4 Online: 29 de MAR?O de 2011, 11:11 »
Sim, veja vc mesmo:

Código: [Selecionar]
$ apt-cache policy sun-java6-bin
sun-java6-bin:
  Instalado: 6.24-1build0.10.04.1
  Candidato: 6.24-1build0.10.04.1
  Tabela de versão:
 *** 6.24-1build0.10.04.1 0
        500 http://archive.canonical.com/ubuntu/ lucid/partner Packages
        100 /var/lib/dpkg/status
$ uname -a
Linux zekkerj-laptop 2.6.32-31-generic #60-Ubuntu SMP Thu Mar 17 22:15:39 UTC 2011 x86_64 GNU/Linux
$ java -version
java version "1.6.0_24"
Java(TM) SE Runtime Environment (build 1.6.0_24-b07)
Java HotSpot(TM) 64-Bit Server VM (build 19.1-b02, mixed mode)
Pesquise antes de perguntar, sua dúvida pode já ter sido respondida.
Não respondo dúvidas por MP, coloque sua dúvida no fórum onde ela pode ser pesquisada pelos seus colegas!
Não venha ao fórum apenas para perguntar. Se você sabe a resposta de um problema, porque não ajudar seu colega? ;D

Offline linuser104

  • Usuário Ubuntu
  • *
  • Mensagens: 838
    • Ver perfil
Re: Problema na configuração do java
« Resposta #5 Online: 29 de MAR?O de 2011, 13:06 »
Sim, veja vc mesmo:

Código: [Selecionar]
$ apt-cache policy sun-java6-bin
sun-java6-bin:
  Instalado: 6.24-1build0.10.04.1
  Candidato: 6.24-1build0.10.04.1
  Tabela de versão:
 *** 6.24-1build0.10.04.1 0
        500 http://archive.canonical.com/ubuntu/ lucid/partner Packages
        100 /var/lib/dpkg/status
$ uname -a
Linux zekkerj-laptop 2.6.32-31-generic #60-Ubuntu SMP Thu Mar 17 22:15:39 UTC 2011 x86_64 GNU/Linux
$ java -version
java version "1.6.0_24"
Java(TM) SE Runtime Environment (build 1.6.0_24-b07)
Java HotSpot(TM) 64-Bit Server VM (build 19.1-b02, mixed mode)

Muito bom saber sobre isso. ;)
Linux = Quem realmente gosta de computador; Mac = Artista Digital; Windows = A maioria que votou no Tiririca [pior que tá não fica].

Offline ale.leleco

  • Usuário Ubuntu
  • *
  • Mensagens: 24
    • Ver perfil
Re: Problema na configuração do java
« Resposta #6 Online: 29 de MAR?O de 2011, 14:03 »
Bom acredito que consegui da seguinte forma:
Achei um tutorial que falava como colocar o java no Google Chrome, que no final das contas usa os plugins do mozila, perdi o link do tutorial mas resumindo era o que eu estava fazendo com outro arquivo... assim:
Utilizei o mesmo arquivo JRE, instalei no mesmo lugar dentro de /usr/lib/jvm
porem quando fui fazer o link do plugin para a pasta utilizei outro arquivo com o seguinte comando:
Código: [Selecionar]
sudo ln -s /usr/lib/jvm/jre1.6.0_24/lib/i386/libnpjp2.so /usr/lib/mozilla/plugins/libnpjp2.sopara ter certeza entrei neste site que mostra a versão do java no navegador:
http://www.javatester.org/version.html
e neste outro que tem applets
http://www.w3.org/People/mimasa/test/object/java/clock
Bom quando voltar para o serviço eu testo e falo se deu certo mesmo mas acho que é isso, valew a ajuda pessoal

Alessandro
Ale.leleco@gmail.com
@_aleleleco

Offline ale.leleco

  • Usuário Ubuntu
  • *
  • Mensagens: 24
    • Ver perfil
Re: Problema na configuração do java
« Resposta #7 Online: 01 de Maio de 2011, 20:56 »
Galera, uma pergunta existe alguma diferença para a instalação no ubuntu 11.04, quero dizer atualizei o sistema e agora não consigo mais fazer a instalação do plugim do java..

estou com o java instalado:
Código: [Selecionar]
maquina_minha:~$ java -version
java version "1.6.0_24"
Java(TM) SE Runtime Environment (build 1.6.0_24-b07)
Java HotSpot(TM) Server VM (build 19.1-b02, mixed mode)
e a estrutura está a mesma monta como mostrei anteriormente
/usr/lib/jvm/java-6-sun
/usr/lib/jvm/java-6-sun1.6.0.24
/usr/lib/jvm/jre1.6.0_25

Montei o link no mesmo caminho
/usr/lib/mozilla/plugins/
Porem mesmo assim não está funcionando
alguem tem mais alguma dica...




Alessandro
Ale.leleco@gmail.com
@_aleleleco